# DO NOT DELETE: Beginning of Haskell dependencies
utils/ghc-pkg/dist-install/build/Version.o : utils/ghc-pkg/dist-install/build/Version.hs
$(eval $(call hi-rule,utils/ghc-pkg/dist-install/build/Version.hi  : %hi: %o  utils/ghc-pkg/dist-install/build/Version.hs))
utils/ghc-pkg/dist-install/build/Version.o : libraries/base/dist-install/build/Prelude.hi
utils/ghc-pkg/dist-install/build/Main.o : utils/ghc-pkg/Main.hs
$(eval $(call hi-rule,utils/ghc-pkg/dist-install/build/Main.hi  : %hi: %o  utils/ghc-pkg/Main.hs))
utils/ghc-pkg/dist-install/build/Main.o : libraries/terminfo/dist-install/build/System/Console/Terminfo.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/unix/dist-install/build/System/Posix.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/containers/dist-install/build/Data/Map.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/containers/dist-install/build/Data/Set.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/base/dist-install/build/Data/Traversable.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/base/dist-install/build/Data/Foldable.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/base/dist-install/build/Control/Concurrent.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/base/dist-install/build/Data/List.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/base/dist-install/build/GHC/IO/Exception.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/base/dist-install/build/System/IO/Error.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/base/dist-install/build/System/IO.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/base/dist-install/build/System/Environment.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/base/dist-install/build/System/Environment.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/base/dist-install/build/System/Exit.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/directory/dist-install/build/System/Directory.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/base/dist-install/build/Control/Monad.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/base/dist-install/build/Data/Char.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/base/dist-install/build/Data/Maybe.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/base/dist-install/build/Control/Exception.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/base/dist-install/build/System/Console/GetOpt.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/base/dist-install/build/Prelude.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/base/dist-install/build/Text/Printf.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/directory/dist-install/build/System/Directory.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/filepath/dist-install/build/System/FilePath/Posix.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/filepath/dist-install/build/System/FilePath.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/base/dist-install/build/Data/Version.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/Cabal/Cabal/dist-install/build/Distribution/Simple/Utils.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/Cabal/Cabal/dist-install/build/Distribution/Types/MungedPackageId.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/Cabal/Cabal/dist-install/build/Distribution/Types/MungedPackageName.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/Cabal/Cabal/dist-install/build/Distribution/Types/UnqualComponentName.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/Cabal/Cabal/dist-install/build/Distribution/Backpack.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/Cabal/Cabal/dist-install/build/Distribution/Version.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/Cabal/Cabal/dist-install/build/Distribution/Text.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/Cabal/Cabal/dist-install/build/Distribution/Package.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/Cabal/Cabal/dist-install/build/Distribution/ParseUtils.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/Cabal/Cabal/dist-install/build/Distribution/Compat/ReadP.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/Cabal/Cabal/dist-install/build/Distribution/InstalledPackageInfo.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/Cabal/Cabal/dist-install/build/Distribution/ModuleName.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/Cabal/Cabal/dist-install/build/Distribution/ModuleName.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/containers/dist-install/build/Data/Graph.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/Cabal/Cabal/dist-install/build/Distribution/Simple/PackageIndex.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/ghc-boot/dist-install/build/GHC/PackageDb.hi
utils/ghc-pkg/dist-install/build/Main.o : libraries/ghc-boot/dist-install/build/GHC/PackageDb.hi
utils/ghc-pkg/dist-install/build/Main.o : utils/ghc-pkg/dist-install/build/Version.hi
# DO NOT DELETE: End of Haskell dependencies
utils/ghc-pkg_dist-install_depfile_haskell_EXISTS = YES
